using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;
using Microsoft.UI.Xaml.Controls.Primitives;
using Microsoft.UI.Xaml.Data;
using Microsoft.UI.Xaml.Input;
using Microsoft.UI.Xaml.Media;
using Microsoft.UI.Xaml.Navigation;
using Windows.UI.Popups;
using System.Threading.Tasks;
using Microsoft.UI.Xaml.Media.Animation;

// To learn more about WinUI, the WinUI project structure,
// and more about our project templates, see: http://aka.ms/winui-project-info.

namespace ArchivesCenter4
{
    /// <summary>
    /// An empty window that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainWindow : Window
    {
        public MainWindow()
        {
            this.InitializeComponent();
            this.ExtendsContentIntoTitleBar = true;
            this.SetTitleBar(AppTitleBar);
            this.AppWindow.SetIcon("ms-appx:///Assets/icons8_omnichannel.ico");
        }

        private async void nvSample_SelectionChanged(NavigationView sender, NavigationViewSelectionChangedEventArgs args)
        {
            var selecteditem = (NavigationViewItem)args.SelectedItem;
            string selected = selecteditem.Content.ToString();
            switch (selected)
            {
                case "ʼ":
                    contentFrame.Navigate(typeof(start), null, new EntranceNavigationTransitionInfo());
                    break;
                case "ϵ˵ѯ":
                    contentFrame.Navigate(typeof(sfp), null, new EntranceNavigationTransitionInfo());
                    break;
                case "־ѯ":
                    contentFrame.Navigate(typeof(sfl), null, new EntranceNavigationTransitionInfo());
                    break;
                case "ϵ˵":
                    contentFrame.Navigate(typeof(people), null, new EntranceNavigationTransitionInfo());
                    break;
                case "־":
                    contentFrame.Navigate(typeof(log), null, new EntranceNavigationTransitionInfo());
                    break;
                case "˻":
                    contentFrame.Navigate(typeof(account), null, new EntranceNavigationTransitionInfo());
                    break;
                case "":
                    contentFrame.Navigate(typeof(backup), null, new EntranceNavigationTransitionInfo());
                    break;
                case "":
                    contentFrame.Navigate(typeof(setting), null, new EntranceNavigationTransitionInfo());
                    break;
            }
        }
    }
}
